This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 448019 - Upgraded everything when I only agreed to security updates
Upgraded everything when I only agreed to security updates
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Robin Norwood
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-22 18:55 EDT by Martin Ebourne
Modified: 2008-05-28 07:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-28 07:42:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
something like this? (6.21 KB, patch)
2008-05-28 07:37 EDT, Richard Hughes
no flags Details | Diff

  None (edit)
Description Martin Ebourne 2008-05-22 18:55:19 EDT
Description of problem:
Package kit applet offered important security updates to three gnutls packages.
When I agreed it upgraded ALL packages with absolutely no indication that was
happening.

Version-Release number of selected component (if applicable):
PackageKit-0.1.12-10.20080505.fc9@x86_64
PackageKit-libs-0.1.12-10.20080505.fc9@x86_64
gnome-packagekit-0.1.12-12.20080430.fc9@x86_64

How reproducible:
First time I've tried it.

Steps to Reproduce:
1. Package kit applet offers 3 gnutls security update packages
2. Click button to agree to updates
  
Actual results:
Over 50 rpms were upgraded on the system (including one that broke X for me.
Absolutely no indication was given at any stage that other upgrades were being
performed.

Expected results:
Only the security updates I agreed to should be installed.
Comment 1 Richard Hughes 2008-05-23 02:37:31 EDT
Did you get notified with a notification bubble?
Comment 2 Martin Ebourne 2008-05-23 02:58:17 EDT
Yes the security updates were enumerated in a notification bubble.
Comment 3 Richard Hughes 2008-05-28 05:36:29 EDT
Well, the code assumes you want all updates. What is sane to do here - do we
just update the three gnutls packages that we advertised, or all the other
packages too? Should we just fix the wording?
Comment 4 Martin Ebourne 2008-05-28 06:08:24 EDT
From a user's point of view I think it's clear that if I get offered three
security updates and a button that says update or install it should just do
those offered.

Maybe you could add a separate clearly marked button for a full update and a
note on how many packages that would apply. Maybe "Install security updates" and
"Install all available updates".

It is very likely that I'm going to want to install just the security updates
when offered, and leave bug fixes/feature enhancements as they interest me.
Comment 5 Richard Hughes 2008-05-28 07:37:19 EDT
Created attachment 306924 [details]
something like this?

This is what I've added into git master.
Comment 6 Martin Ebourne 2008-05-28 07:53:08 EDT
Looks great, thanks!

Note You need to log in before you can comment on or make changes to this bug.